﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace XMLLINQ
{
    class Program
    {
        static void Main(string[] args)
        {
            //We load the file here.
            XDocument xmlDoc = XDocument.Load(@"C:\Users\Max\Documents\Visual Studio 2008\Projects\XMLLINQ\XMLLINQ\books.xml");
            
            //The actual query, where we choose all the books that are of "Computer" genre.
            var query = from p in xmlDoc.Elements("catalog").Elements("book")
                        where (string)p.Element("genre") == "Computer"
                        select p;

            //Iterate and print the books with "Computer" genre
            Console.WriteLine("------------------------Genre=\"Computer\"------------------------------------------");
            foreach (var book in query)
            {
                Console.WriteLine("Book: {0} - Title: {1}", book.Element("title").Value, book.Element("genre").Value+"\n");
            }

            Console.WriteLine("------------------------Genre=\"Computer\" & Price > 40.0-------------------------");

            var query2 = from p1 in query
                         where Convert.ToDouble(p1.Element("price").Value) > 40.00
                         select p1;

            foreach (var book1 in query2)
            {
                Console.WriteLine("Book: {0} - Price: {1}", book1.Element("title").Value, book1.Element("price").Value);
            }

            //For a small pause before exiting the application.
            Console.Read();
        }
    }
}